#
# spec file for package gtkref (Version nover)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         gtkref
%define prefix	/usr
Copyright:	1995-2000 Spencer Kimball, Peter Mattis and others
Group:		X11/GNOME/Development	
Provides:	gtkref
Autoreqprov:	on
Version:      nover
Release:      200
Summary:      The development docu for Gtk+ generated from SGML sources
Source:		gtk-all-docs.tar.bz2
BuildArchitectures: noarch

%description
This package contains the documentation for the Gtk+ library generated
from the SGML source which was gathered directly from the source code
and improved by tons of comments. It's a must for sensible development
with Gtk+!

Authors:
--------
    None yet <none@none.com>

SuSE series: doc

%prep
%setup -n gtk

%build

%install
mkdir -p %{_docdir}/glib
mkdir -p %{_docdir}/gdk
mkdir -p %{_docdir}/gtk
cp -r ../glib/* %{_docdir}/glib
cp -r ../gdk/* %{_docdir}/gdk
cp -r ../gtk/* %{_docdir}/gtk

%files 
%doc %{_docdir}/glib
%doc %{_docdir}/gdk
%doc %{_docdir}/gtk

%changelog -n gtkref
* Mon Jan 01 2001 - egger@suse.de
- Cleaned up specfile.
- Updated docs.
- Changed Group Tag.
- Recompressed with bzip2.
- Move to noarch.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Jun 26 2000 - ro@suse.de
- fixed specfile
* Mon Jun 26 2000 - egger@suse.de
- Can't cd into gtkref because it doesn't exist anymore... sorry.
* Mon Jun 26 2000 - egger@suse.de
- Since the build of this package causes severe unsolvable
  problems with the buildsystem we use the precompiled
  packages for now...
* Fri May 05 2000 - egger@suse.de
- ... corrected the patch.
* Fri May 05 2000 - egger@suse.de
- Added a patch to try building without running X.
* Tue Apr 18 2000 - egger@suse.de
- ... and gtkdev needs glibdev ...
* Fri Apr 14 2000 - egger@suse.de
- My fault. Of course we need an installed development package
  of Gtk+ to build the doc-templates from the header files.
* Wed Apr 12 2000 - egger@suse.de
- Makefile is broken at the moment -> build and copy docs manually.
* Mon Apr 10 2000 - egger@suse.de
- Renamed dir in archive to gtkref.
  Please note due to general confusion: This is != gtkdoc.
* Thu Mar 30 2000 - egger@suse.de
- Renamed also the dir to gtkref.
* Thu Mar 23 2000 - egger@suse.de
- Inital version.
